Subject: bug#62836: [PATCH] Provide an example of using fuzzier completion.

From: Eli Zaretskii <[email-masked]>
Date: Sun, 16 Apr 2023 08:57:39 +0300

> From: [email-masked]
> Date: Sat, 15 Apr 2023 22:22:09 +0000 (UTC)
> Cc: Spencer Baugh <[email-masked]>, [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Finally, please use @kbd{@key{TAB}} in the context that calls for the
> > user to press the TAB key.
> 
> Hm, the text already present in the "Completion Example" section doesn't
> use @kbd{@key{TAB}}, should it be doing that?

Those are mistakes--these 2 paragraphs:

    If you type @key{TAB} again immediately, it cannot determine the
  next character; it could be @samp{-}, @samp{a}, or @samp{c}.  So it
  does not add any characters; instead, @key{TAB} displays a list of all
  possible completions in another window.

    Next, type @kbd{-f}.  The minibuffer now contains @samp{auto-f}, and
  the only command name that starts with this is @code{auto-fill-mode}.
  If you now type @key{TAB}, completion fills in the rest of the
  argument @samp{auto-fill-mode} into the minibuffer.

should use @kbd{@key{TAB}} where they say "when you type".  Feel free
to fix those blunders as part of the patch.

> Here's the revised version incorporating all of these:
> 
>   @key{TAB} also works while point is not at the end of the
> minibuffer.  In that case, it will fill in text both at point and at
> the end of the minibuffer.  If you type @kbd{M-x autocm}, then press
> @kbd{C-b} to move point before the @samp{m}, you can type
> @kbd{@key{TAB}} to insert the text @samp{onf-} at point and @samp{ode}
> at the end of the minibuffer, so that the minibuffer contains
> @samp{autoconf-mode}.

LGTM, thanks.